# Converter<S, T> class

A Converter converts data from one representation into another.

It is recommended that implementations of `Converter` extend this class, to inherit any further methods that may be added to the class.

Inheritance
  - Object
  - StreamTransformerBase<S, T>
  - Converter
Implementers
  - Base64Decoder
  - Base64Encoder
  - HtmlEscape
  - JsonDecoder
  - JsonEncoder
  - JsonUtf8Encoder
  - Utf8Decoder
  - Utf8Encoder
  - ZLibDecoder
  - ZLibEncoder

## Constructors

Converter()
  const

## Properties

hashCode → int
  The hash code for this object. [...]
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited

## Methods

bind(Stream<S> stream) → Stream<T>
  Transforms the provided `stream`. [...]
  override
cast<RS, RT>() → Converter<RS, RT>
  Provides a `Converter<RS, RT>` view of this stream transformer. [...]
  override
convert(S input) → T
  Converts `input` and returns the result of the conversion.
fuse<TT>(Converter<T, TT> other) → Converter<S, TT>
  Fuses `this` with `other`. [...]
startChunkedConversion(Sink<T> sink) → Sink<S>
  Starts a chunked conversion. [...]
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(dynamic other) → bool
  The equality operator. [...]
  inherited

## Static Methods

castFrom<SS, ST, TS, TT>(Converter<SS, ST> source) → Converter<TS, TT>
  Adapts `source` to be a `Converter<TS, TT>`. [...]
  override